let Parse = getApp().Parse
const company = getApp().globalData.company
const rechText = require('../../../../../utils/rech-text')
Page({

    /**
     * 页面的初始数据
     */
    data: {
        id: "",
        depart: null,
        logoType: "",
        activeColor:'#229293'
    },
    async getDepartment() {
        let id = this.data.id
        let Department = new Parse.Query('Department')
        let department = await Department.get(id)
        department = department.toJSON()
        department.content = rechText.formatRichText(department.content)
        let imageExtend = [
            "png","jpg","jpeg","ico","gif", "JPG","PNG","JPEG","ICO","GIF"
        ]
        let videoExtend = [
            "mp4","flv","avi", "MP4", "FLV", "AIV"
        ]
        let nameArray = department.logo ?department.logo.split(".") : ''
        let extend = nameArray.length>0?nameArray[nameArray.length-1]:""
        let logoType 
        if(imageExtend.indexOf(extend)>-1){
            logoType = "image"
        }
        if(videoExtend.indexOf(extend)>-1){
            logoType = "video"
        }
        this.setData({
            department,
            logoType: logoType
        })
        console.log(this.data.depart);

    },
    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function(options) {
        this.setData({
            activeColor:getApp().globalData.activeColor || '#229293'
        })
        let id = options.id
        console.log(id);
        this.setData({
            id
        })
        this.getDepartment()
    },

    toWebView(e) {
        console.log(e)
        let path = e.currentTarget.dataset.path
        if(!path) {
           wx.showToast({
             title: 'VR蔬菜收集中',
             duration: 1500,
             icon: "none"
           })
           return
        }
        wx.navigateTo({
            url: '/common-page/pages/web-view/index?path=' + path,
           
        })
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function() {

    }
})